Bug 149637 - QA review of perl-Class-MethodMaker 2.05 package
QA review of perl-Class-MethodMaker 2.05 package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Class-MethodMaker (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gregorovic
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-24 14:04 EST by Dennis Gregorovic
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-23 19:32:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)
Several corrections (2.42 KB, patch)
2005-02-24 16:54 EST, Jose Pedro Oliveira
no flags Details | Diff

  None (edit)
Description Dennis Gregorovic 2005-02-24 14:04:11 EST
I created a package of the perl-Class-MethodMaker module, which is available at
http://gregorovic.net/fc3-autobuild-rpms/perl-Class-MethodMaker-2.05-1.src.rpm

José Pedro Oliveira discovered a number of failures when Module::Build is used
instead of ExtUtils::MakeMaker.  We need to figure out which fixes need to go
into Class::MethodMaker and which need to go into Module::Build.
Comment 1 Jose Pedro Oliveira 2005-02-24 16:54:16 EST
Created attachment 111408 [details]
Several corrections

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1


NEEDSWORK

MD5SUMS:
f6abb24099fe3d22736c4e6a4d1c1e73  perl-Class-MethodMaker-2.05-1.src.rpm

a4092146c05bac58b3f99b3f5d2a9a75  Class-MethodMaker-2.05.tar.gz
ad6e38a4a12b0057e86331e775540643  perl-Class-MethodMaker.spec

NeedsWork:

* the SRPM should be signed

* for binary perl modules (eg: i386) we only need to define "perl_vendorarch"

  NOTE: this macro already exists since rpm 4.3 (FC2) but is 
	always nice for backward compatibility (<FC2).
	(http://gsd.di.uminho.pt/jpo/perl/specfiles/#RPMVER)

* Fedora Extras doesn't use Epoch (Fedora.US did use)

* the License is incomplete

  the expression "... same terms as Perl itself" implies the
  GPL/Artistic licenses.

* URL

  we use a more generic URL (read -> easier for automatic generation)
  as it doesn't have the auhor CPAN login (see patch).

* Source

  we use a smaller CPAN URL (see patch).

* missing build requirement

  This module uses IPC::Run during tests. We try to maximize test
  coverage.

* perl(MODULE_COMPAT_xxx)

  Just to match the template.

* build section

  For binary modules is nice to inline replace the Makefile.
  Omitting the perl inline script breaks the building process
  in older FCs (eg: FC1). It doesn't break the building process
  in FC3.

* install section

  use make pure_install instead
  (avoids at least a problem with certain MakeMaker versions and
  also doesn't generate the perllocal.pod dile)

* check section

  skip the signature tests.  The building process shouldn't have
  to import authors PGP keys. The signature tests should be done
  manually by QA ppl (check patch).

* files section

  for binary modules use the perl_vendorarch macro. With
  perl_vendorlib the package would own several perl directories.
  See the fedora-rpmdevtools perl specfile template.

* changelog

  please include the package version and release
  (rpmlint catches this)
  
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.6 (GNU/Linux)

iD8DBQFCHkwnl0metZG9hRsRArhSAKDEtDAD2tMCIYryUY1C6I1kpAkIvACggr13
xtXH2Luik6RdiwaeL5rYj/8=
=uZKX
-----END PGP SIGNATURE-----
Comment 2 Dennis Gregorovic 2005-02-24 23:54:44 EST
Thanks for the feedback!  I've updated the spec file and rebuilt the RPMs
(2.05-2).  One thing: I notice you didn't use %{version} in the Source URL.  Any
objection to keeping that in?  Also, I won't be able to sign the packages until
Monday.
Comment 3 Jose Pedro Oliveira 2005-02-25 10:55:47 EST
That's not critical although it makes life easier for QA ppl having the version
hardcoded in the source(s) URL(s) - testing the URL(s) is only a matter of copy
and paste to a different terminal (using HEAD , wget, ...).

PS - could you mention the bugzilla entry in the changelog?
     just add something like "(#149637)"
Comment 4 Dennis Gregorovic 2005-02-25 11:37:06 EST
Ok, I see your point about making the copy and paste easier and switched back. 
Bugzilla # added to changelog and new RPMs built.  Any objection to my adding
the spec file and sources to cvs.fedora at this point?
Comment 5 Jose Pedro Oliveira 2005-02-26 16:00:21 EST
No objections. I will do a second review after that that.
Comment 6 Jose Pedro Oliveira 2005-03-14 20:50:10 EST
Dennis,

Could you update to version 2.06? 

CPAN homepage:
http://search.cpan.org/dist/Class-MethodMaker/

Diff between version 2.05 and 2.06:
http://search.cpan.org/diff?from=Class-MethodMaker-2.05&to=Class-MethodMaker-2.06

jpo
Comment 7 Jose Pedro Oliveira 2005-03-20 17:43:10 EST
ping
Comment 8 Dennis Gregorovic 2005-03-21 10:43:42 EST
Checked in update to 2.06.  I should be upgrading the FC-3 and devel branches,
right?  Also, is there a notification system that can send you email when
certain CPAN modules are updated?
Comment 9 Jose Pedro Oliveira 2005-03-21 16:04:27 EST
***
*** Please don't ask for the package to be built without the approval email!
*** Too late now - seth already built it.
***

(In reply to comment #8)
> Checked in update to 2.06.  I should be upgrading the FC-3 and devel branches,
> right?  

I believe so.

> Also, is there a notification system that can send you email when
> certain CPAN modules are updated?

AFAIK there isn't. The CPAN FAQ has an entry about it

  CPAN FAQ:
  ---
  Where can I find the most recently uploaded Perl modules?
  http://www.cpan.org/misc/cpan-faq.html#Where_recent_modules
  ---

PS - As a maintainer of an official CPAN mirror I receive
a rsync log every day :)  I also check 
   http://search.cpan.org/recent

Comment 10 Dennis Gregorovic 2005-03-21 16:23:15 EST
(In reply to comment #9)

> ***
> *** Please don't ask for the package to be built without the approval email!
> *** Too late now - seth already built it.
> ***

Sorry!  I'm still learning the process.  So, is this the general workflow?

* request to upgrade package
* upgrade checked into CVS
* QA review of checkin
 sucess
  * approval email sent
  * build request filed
 failure
  * problem email sent (or comment in bugzilla)
  * back to CVS step

Thanks for your patience.  By the way, that's very cool that you're a maintainer
of a CPAN mirror.  Also, I didn't realize that the volume of changes on CPAN was
so high.  
Comment 11 Jose Pedro Oliveira 2005-03-21 16:30:58 EST
> (In reply to comment #9)
> Sorry!  I'm still learning the process.  So, is this the general workflow?

There is a draft description here:
http://fedoraproject.org/wiki/NewPackageProcess

> Thanks for your patience.  By the way, that's very cool that you're a maintainer
> of a CPAN mirror.  Also, I didn't realize that the volume of changes on CPAN was
> so high.  

Just check the number of modules in the header of this page:
http://www.cpan.org/modules/01modules.index.html
(that number corresponds to 2000 tarballs (aprox.))
Comment 12 Jose Pedro Oliveira 2005-03-23 19:23:59 EST
Dennis,

I have sent the APPROVAL email. You can now close this ticket.

jpo

PS - In a future update you may consider deleting the empty line in the description.
Comment 13 Dennis Gregorovic 2005-03-23 19:32:28 EST
Thanks.

By the way, I am still unclear on the process for how I do updates to this
package.  If 2.07 comes out tomorrow, do I open a new ticket?  Is there QA
review for each update to a package?  I probably should be asking these question
on fedora-extras.

-- Dennis
Comment 14 Jose Pedro Oliveira 2005-03-23 19:37:13 EST
If the update is trivial you can just update the CVS files and request a new
build.  If the update is non-trivial feel free to ask for help to review it
(just send an email to the fedora-extras mailling list).
Comment 15 Jose Pedro Oliveira 2005-03-23 19:39:49 EST
I forgot to tell you one thing: you should remove the old file(s) mentioned in
the .cvsignore and source files (FC-3 and devel branches). In both files just
leave the line refering to the latest version (2.06). 
Comment 16 Michael Schwendt 2005-03-23 20:02:36 EST
Next time you upload a new source tarball, just use "make new-sources FILES=..."
rather than "make upload FILES=...". The former wipes ".cvsignore" and "sources"
files whereas the latter appends to them.
Comment 17 Dennis Gregorovic 2005-03-23 20:04:14 EST
Thanks Mike and Jose.  .cvsignore and sources fixed.  I'll use new-sources in
the future.
Comment 18 Jose Pedro Oliveira 2005-03-23 20:15:08 EST
(In reply to comment #16)
> Next time you upload a new source tarball, just use "make new-sources FILES=..."
> rather than "make upload FILES=...". The former wipes ".cvsignore" and "sources"
> files whereas the latter appends to them.

Didn't know. Thanks Michael.
Comment 19 Dennis Gregorovic 2007-09-01 17:43:53 EDT
Package Change Request
======================
Package Name: perl-Class-MethodMaker
New Branches: EL-4 EL-5
Comment 20 Kevin Fenzi 2007-09-03 14:35:04 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.